#include <string>
#include <iostream>
#include "IVR.h"

using namespace std;

int main(int argc, char **argv)
{
    IVR ivr("test.xml");

    IVRResult result=SwitchStep;
    std::string cmd;

    while (result != Terminated && result != HangupCall)
    {
        printf("Prompt: %s\r\n",ivr.getPrompt().c_str());
    
        cin >> cmd;
        result = ivr.onDigits(cmd);
   
        if (result==HangupCall)
        {
            printf("Hangup\r\n");
        }
    }
    
    printf("Time: %s\r\n",ivr.getUserData("time").c_str());
    printf("Extension: %s\r\n",ivr.getUserData("extension").c_str());
    printf("Choice: %s\r\n",ivr.getUserData("choice").c_str());

}
